#ifndef URL_DOC_MAP
#define URL_DOC_MAP

#include "LinearHash3.h"
/*#include "HashTable.h"*/
#include "String.h"
#include "Int.h"
#include "url_docid_record.h"

class UrlDocMap {
  LinearHash<String, Int, url_docid_record> *_index;
  /*HashTable<String, Int, url_docid_record> *_index;*/
  char *_fname;
public:
  UrlDocMap(char *fname_);
  UrlDocMap(const UrlDocMap& other_);
  ~UrlDocMap();

  int insert(String url_, Int docid_, double &cpu_time, double &disk_time);
  int remove(String url_);
  int find(String url_, Int &docid_, bool &found_);
  int flush_to_disk();
};

#endif
